mscorlib 2.0.0.0 4.0.0.0 System.Object

The class is a base class that provides a free-threaded context with no synchronization.

The purpose of the synchronization model implemented by this class is to allow the internal asynchronous/synchronous operations of the common language runtime to behave properly with different synchronization models. This model also simplifies some of the requirements that managed applications have had to follow in order to work correctly under different synchronization environments.

Providers of synchronization models can extend this class and provide their own implementations for these methods.

For more information about synchronization contexts, see the article It's All About the SynchronizationContextin the MSDN Magazine.

Provides the basic functionality for propagating a synchronization context in various synchronization models.

- Constructor
  2.0.0.0
  4.0.0.0

  The default constructor performs no parameter initialization.

  Creates a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Threading.SynchronizationContext

  The default implementation returns an empty object.

  When overridden in a derived class, creates a copy of the synchronization context.

  A new object.

- Property
  2.0.0.0
  4.0.0.0
  System.Threading.SynchronizationContext To be added.

  This property is useful for propagating a synchronization context from one thread to another.

  Gets the synchronization context for the current thread.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Determines if wait notification is required.

  true if wait notification is required; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The default implementation contains no code. You can optionally override this method to provide code that executes when an operation is complete.

  When overridden in a derived class, responds to the notification that an operation has completed.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The default implementation contains no code. You can optionally override this method to provide code that executes when an operation starts.

  When overridden in a derived class, responds to the notification that an operation has started.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method starts an asynchronous request to post a message.

  When overridden in a derived class, dispatches an asynchronous message to a synchronization context.

  The delegate to call. The object passed to the delegate.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method starts a synchronous request to send a message.

  When overridden in a derived class, dispatches a synchronous message to a synchronization context.

  The delegate to call. The object passed to the delegate.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Sets the current synchronization context.

  The object to be set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Sets notification that wait notification is required and prepares the callback method so it can be called more reliably when a wait occurs.

- Method
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.PrePrepareMethod
  System.Int32 `` `` ``

  The method calls the external declaration to perform the wait activity. Override the method to change the wait behavior for the synchronization context.

  Waits for any or all the elements in the specified array to receive a signal.

  The array index of the object that satisfied the wait.

  An array of type that contains the native operating system handles. true to wait for all handles; false to wait for any handle. The number of milliseconds to wait, or (-1) to wait indefinitely.
- Method
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.PrePrepareMethod
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  System.Int32 `` `` ``

  is a declaration for an unmanaged external helper function. is called by the method to wait for a signal for the specified operating system handles.

  Helper function that waits for any or all the elements in the specified array to receive a signal.

  The array index of the object that satisfied the wait.

  An array of type that contains the native operating system handles. true to wait for all handles; false to wait for any handle. The number of milliseconds to wait, or (-1) to wait indefinitely.